Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Create an order document

POST/orders/{order_id}/documents
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
order_idstringrequired
Request body
requiredapplication/json
document_typestringrequired
Allowed:invoicereceipt
document_numberstring
file_urlstring
transaction_idstring
Associates the document with a specific payment/refund transaction
uploader_idstringrequired
uploader_typestringrequired
Responses
201Document created
idinteger
document_typestring
Allowed:invoicereceipt
document_numberstring
file_urlstring
Request
curl -X POST "https://api.onbolder.com/v2/orders/string/documents" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "document_type": "invoice",
  "document_number": "INV-0001",
  "uploader_id": "1",
  "uploader_type": "User"
}'
Response
{
  "id": 0,
  "document_type": "invoice",
  "document_number": "string",
  "file_url": "string"
}